Skip to main content
GET
/
api
/
v2
/
stats
/
clicked_items
/
position
Clicks items and position
curl --request GET \
  --url https://{search_zone}-api.doofinder.com/api/v2/stats/clicked_items/position \
  --header 'Authorization: <api-key>'
{
  "results": [
    {
      "clicks": 12170,
      "product_clicks": 159080,
      "sum_product_position": 5876
    }
  ],
  "total": 1,
  "total_count": 1
}

Authorizations

Authorization
string
header
required

Doofinder API key. Pass it as: Authorization: Token <api_key>

Query Parameters

from
string
required

Start date of the period in the format of UNIX timestamp or YYYYMMDD.

Pattern: ^20\d{2}(0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])$|^\d{10}|^\d{13}$
to
string
required

End date of the period in the format of UNIX timestamp or YYYYMMDD.

Pattern: ^20\d{2}(0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])$|^\d{10}$|^\d{13}
hashids
string[]

Unique id of the search engine. It accepts an array of values. If you want to work with all user search engines just don't send this parameter. Arrays parameters must be in the format param[]=value.

Pattern: ^[a-f0-9]{32}$
indices
object

Filter by index name.

Parameters:

  • name *: The name of the index to filter
  • hashid *: The hashid where name belongs

Format: indices[i][name]=value&indices[i][hashid]=hashid.

query
string

An string used to filter stats by input query.

dfid
string

Filter by a doofinder item id. You can get this value from the playground.

device
enum<string>

Filter by kind of device.

Available options:
desktop,
mobile

Response

Stats retrieved.

Clicks items position result.

total
integer

Sum of all elements retrieved.

Example:

1

total_count
integer

Total sum of all elements count. If element does not have a "count", this has the same value as total.

Example:

12

results
object[]